<div style="width: 200px; padding: 10px; border: 1px solid black; border-radius: 5px; " >
 <p>{{product_detail.title}}</p>
 <p>{{product_detail.price}}</p>
<div style="display: flex;justify-content: flex-end;" >
    <button style="padding: 10px 20px; background-color:'red';border:none;color: white;" (click)="delete()"  >Delete</button>
</div>
</div>